package com.fuzamei.web;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.fuzamei.constant.HintMSG;
import com.fuzamei.entity.Orders;
import com.fuzamei.entity.Param;
import com.fuzamei.service.OrdersIssueService;
import com.fuzamei.util.JSONUtil;

@RestController
@RequestMapping(path="/ordersIssue")
public class OrdersIssueAction {

	@Autowired
	private OrdersIssueService ordersIssueService;
	
	/**
	 * 
	* @Title: queryOrdersByPlanner
	* @Description: TODO(由计划员查询订单信息)
	{
		"userId":"xxx",
		"supplierName":"",
		"boxNo":"",
		"startTime":"",
		"endTime":""
	}
	* @return Map<String,Object>    返回类型
	* @author ylx
	* @date 2018年1月24日 下午8:58:24
	* @throws
	 */
	@RequestMapping(path="queryOrdersByPlanner",method=RequestMethod.POST)
	public Map<String, Object> queryOrdersByPlanner(@RequestBody Param param){
		try {
			Integer userId = param.getUserId();
			
			return JSONUtil.getJsonMap(200, true, HintMSG.QUERY_SUCCESS, null);
		} catch (Exception e) {
			return JSONUtil.getJsonMap(500, false, HintMSG.QUERY_FAIL+":"+e.getMessage(), null);
		}
	}
}
